package br.ime.usp.mac5855.actions;

import br.ime.usp.mac5855.controller.Controller;
import br.ime.usp.mac5855.controller.Output;
import br.ime.usp.mac5855.dao.EmissoraDao;
import br.ime.usp.mac5855.dao.ExibicaoDao;
import br.ime.usp.mac5855.dao.ProgramaDao;
import br.ime.usp.mac5855.db.ConnectionFactory;
import br.ime.usp.mac5855.modelo.Programa;

@Controller(name = "home")
public class HomeController {

	public void index(Output out) {
		EmissoraDao emissoraDao = new EmissoraDao(ConnectionFactory.getCurrentConnection());
		out.add("emissoras", emissoraDao.lista());
	}
	
	public void detalhes(Programa p, Output out)  {
		ProgramaDao dao = new ProgramaDao(ConnectionFactory.getCurrentConnection());
		out.add("programa", dao.busca(p.getId()));
		
		ExibicaoDao exibicaoDao = new ExibicaoDao(ConnectionFactory.getCurrentConnection());
		out.add("proximasExibicoes", exibicaoDao.proximasExibicoesDe(p));
	}
	
}
