package br.ime.usp.mac5855.actions;

import br.ime.usp.mac5855.controller.Controller;
import br.ime.usp.mac5855.controller.Output;
import br.ime.usp.mac5855.dao.VisitanteDao;
import br.ime.usp.mac5855.db.ConnectionFactory;
import br.ime.usp.mac5855.modelo.Visitante;
import br.ime.usp.mac5855.view.ErrorHandler;

@Controller(name = "login")
public class VisitanteLoginController {

	public void formulario() {
	}

	public String efetuaLogin(Visitante v, Output out) {
		VisitanteDao dao = new VisitanteDao(ConnectionFactory.getCurrentConnection());

		if (dao.existeUnico(v)) {
			out.addToSession("visitante", v);
			return "redirect:home.index.action";
		} else {
			ErrorHandler.add("E-mail ou senha incorretos", out);
			return "login/formulario.jsp";
		}
	}
	
	/* reaproveita métodos do visitante controller que devem ser abertos */
	public String novoVisitante (Output out) {
		new VisitanteController().novo(out);
		return "login/cadastro.jsp";
	}
	
	public String salvaVisitante (Visitante v, Output out) {
		v.setId(null);
		String ret = new VisitanteController().salva(v, out);
		if (ret.contains("formulario")) {
			return "login/cadastro.jsp";
		} else {
			return "redirect:login.formulario.action";
		}
	}	
}
