package br.ime.usp.mac5855.controller;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Marking interface for controller classes.
 * Should receive value with controller name matching [A-Za-z0-9]+
 * 
 * @author sergio
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface Controller {
	String name();
	String shouldBeLoggedInAs() default "";
}
