package br.ime.usp.mac5855.dao;

/**
 * Exception que encapsula erros relacionados ao mecanismo de acesso a dados.
 * */
public class DAOException extends RuntimeException {

	private static final long serialVersionUID = 1L;

	public DAOException() {
	}

	public DAOException(String message) {
		super(message);
	}

	public DAOException(Throwable cause) {
		super(cause);
	}

	public DAOException(String message, Throwable cause) {
		super(message, cause);
	}

}
