package br.ime.usp.mac5855.actions;

import java.util.Date;

import br.ime.usp.mac5855.controller.Controller;
import br.ime.usp.mac5855.controller.Output;
import br.ime.usp.mac5855.dao.VisitanteDao;
import br.ime.usp.mac5855.db.ConnectionFactory;
import br.ime.usp.mac5855.modelo.Visitante;

@Controller(name = "visitante", shouldBeLoggedInAs="administrador")
public class VisitanteController extends AbstractCRUD<Visitante>{

	public VisitanteController()  {
		super(new VisitanteDao(ConnectionFactory.getCurrentConnection()));
	}

	@Override
	public String salva(Visitante t, Output out) {
		t.setCadastradoEm(new Date());
		return super.salva(t, out);
	}
}
