package br.ime.usp.mac5855.db;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class ConnectionFilter implements Filter {


	/**
	 * Fecha conexão no fim dos requests.
	 * Se necessário, poderia controlar transações também.
	 */
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain fc) 
			throws IOException, ServletException {
		fc.doFilter(request, response);
		
		try {
			ConnectionFactory.closeCurrentConnection();
		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

	/**
	 * Inicia o banco de dados
	 */
	public void init(FilterConfig fc) throws ServletException {
		Database.startDatabase();
	}
	
	public void destroy() {
	}

}
