package br.ime.usp.mac5855.view;

import java.util.ArrayList;
import java.util.List;

import javax.servlet.http.HttpServletRequest;

import br.ime.usp.mac5855.controller.Output;

// TODO suportar varios erros, melhorar mensagens
public class ErrorHandler {

	public static void add (Throwable t, HttpServletRequest request) {
		add(t, new Output(request));
	}
	
	public static void add (String s, HttpServletRequest request) {
		add(s, new Output(request));
	}
	
	public static void add (Throwable t, Output out) {
		t.printStackTrace();
		
		String msg;
		if (t.getClass().equals(NullPointerException.class))
			msg = "Null Pointer";
		else
			msg = t.getLocalizedMessage();
		
		add(msg, out);
	}
	
	public static void add (String s, Output out) {
		@SuppressWarnings("unchecked")
		List<String> errors = (List<String>) out.get("errors");

		if (errors == null) {
			errors= new ArrayList<String>();
			out.add("errors", errors);
		}
		
		/* traduz mensagens */
		if (s.contains("Attempt to insert null into a non-nullable column")) {
			s = s.substring("java.sql.SQLException: Attempt to insert null into a non-nullable column: column: ".length());
			s = s.substring(0, s.indexOf(' '));
			s = "Não pode ser nulo: " + s;
		}
		
		errors.add(s);
	}
	

	
	
}
